# module Hoe::Flay

Flay plugin for hoe.

### Tasks Provided:¶ ↑

flay

  Analyze for code duplication.

### Attributes

flay_threshold[RW]

Optional: flay threshold to determine threshold failure. [default: 1200-100]

### Public Instance Methods

define_flay_tasks() click to toggle source

Define tasks for plugin.

    # File lib/hoe/flay.rb, line 24
    def define_flay_tasks
      require "flay_task"
      FlayTask.new :flay, self.flay_threshold
    rescue Exception
      # skip
    end

initialize_flay() click to toggle source

Initialize variables for plugin.

    # File lib/hoe/flay.rb, line 17
    def initialize_flay
      self.flay_threshold ||= timebomb 1200, 100  # 80% of average :(
    end